Loading...
Searching...
No Matches
su_glib.h File Reference
`#include <sofia-sip/su_wait.h>`
`#include <glib.h>`
Include dependency graph for su_glib.h:

Go to the source code of this file.

## Functions

su_root_t * | su_glib_root_create (su_root_magic_t *))
| Create a root that uses GSource as reactor.
GSource * | su_glib_root_gsource (su_root_t *)
| Returns a GSource object for the root.
void | su_glib_prefer_gsource (void)
| Use su_source implementation when su_root_create() is called.

## Detailed Description

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com
  Kai Vehmanen first.nosp@m..sur.nosp@m.name@.nosp@m.noki.nosp@m.a.com

## Function Documentation

## su_glib_prefer_gsource()

void su_glib_prefer_gsource | ( | void |  | ) |

Use su_source implementation when su_root_create() is called.

Since
  New in 1.12.5

## su_glib_root_gsource()

GSource * su_glib_root_gsource | ( | su_root_t * | root | ) |

Returns a GSource object for the root.

Note that you need to unref the GSource with g_source_unref() before destroying the root object.

Returns
  NULL on error (for instance if root was not created with su_glib_root_create())

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.